List
Returns the list of symmetric KMS keys in the specified container.
Authorizations
The Authorization header expects a Bearer token.
Query Parameters
The maximum number of results per page to return. If the number of available results is larger than [page_size], the service returns a [ListSymmetricKeysResponse.next_page_token] that can be used to get the next page of results in subsequent list requests. Default value: 100.
Page token. To get the next page of results, set [page_token] to the [ListSymmetricKeysResponse.next_page_token] returned by a previous list request.
By default, List operation doesn't include resources that are scheduled for deletion. If show_scheduled_for_deletion = true, the listing includes resources that are scheduled for deletion.
Response
A successful response.
List of symmetric KMS keys in the specified container.
This token allows you to get the next page of results for list requests. If the number of results is greater than the specified [ListSymmetricKeysRequest.page_size], use the [next_page_token] as the value for the [ListSymmetricKeysRequest.page_token] query parameter in the next list request. Each subsequent list request will have its own [next_page_token] to continue paging through the results.